minimorph-0.2.1.0: English spelling functions with an emphasis on simplicity.

Safe Haskell | Safe
Language | Haskell2010

NLP.Minimorph.Util

Description

Text utility functions.

Synopsis

- tTakeEnd :: Int -> Text -> Text
- tDropEnd :: Int -> Text -> Text
- (<>) :: Semigroup a => a -> a -> a
- (<+>) :: Text -> Text -> Text
- tshow :: Show a => a -> Text

# Documentation

tTakeEnd :: Int -> Text -> Text Source #

`tTakeEnd n t` returns the last `n` letters of `t`.

tDropEnd :: Int -> Text -> Text Source #

`tDropEnd n t` drops the last `n` letters of `t`.

(<>) :: Semigroup a => a -> a -> a infixr 6 Source #

An associative operation.

(<+>) :: Text -> Text -> Text infixr 6 Source #

Separated by space unless one of them is empty (in which case just the non-empty one).

tshow :: Show a => a -> Text Source #

Show a value in `Text` format.